using System;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.IO;

namespace Client
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			try 
			{
				TcpClient tcpclnt = new TcpClient();
				Console.WriteLine("Connecting.....");
			
				//Connect to the Server
				tcpclnt.Connect("127.0.0.1",8001); // use the ipaddress as in the server program
			
				Console.WriteLine("Connected");
				Console.Write("Enter the string to be transmitted : ");
			
				//Read the contents from console
				String str=Console.ReadLine();
				Stream stm = tcpclnt.GetStream();
				
				//Send it to the server as ASCII Text encoding
  
				ASCIIEncoding asen= new ASCIIEncoding();
				byte[] ba=asen.GetBytes(str);
				Console.WriteLine("Transmitting.....");
			
				stm.Write(ba,0,ba.Length);
			
				byte[] bb=new byte[100];
				int k=stm.Read(bb,0,100);
			
				for (int i=0;i<k;i++)
					Console.Write(Convert.ToChar(bb[i]));
			
				tcpclnt.Close();
			}
		
			catch (Exception e) 
			{
				Console.WriteLine("Error..... " + e.StackTrace);
			}
		}
	}
}
